import {
  getExpireStatus, getRemindStatus, getTaxesPeriod, getTrailerList, getTrailerVehicle, getTransportEnterprises,
  getVehicleType, getTaxationList
} from "@/request/taxation_manage.js";
import { ref } from "vue";

export const layoutFnGetExpireStatus = async () => {
  const resData = await getExpireStatus({
    DICTIONARIES_ID: "0000aeffdabfccos952559772f5b9fd4",
  });
  return ref(resData.list);
};
export const layoutFnGetRemindStatus = async () => {
  const resData = await getRemindStatus({
    DICTIONARIES_ID: "0000aeffdabfccos952559772f5b3421",
  });
  return ref(resData.list);
};
export const layoutFnGetTrailerList = async () => {
  const resData = await getTrailerList({
  });
  return ref(resData.list);
};

export const layoutFnGetTaxationList = async () => {
  const resData = await getTaxationList({
  });
  return ref(resData.list);
};

export const layoutFnGetTransportEnterprises = async () => {
  const resData = await getTransportEnterprises({
    DICTIONARIES_ID: "0000aeffdabfccos952559772f5b3777",
  });
  return ref(resData.list);
};
export const layoutFnGetTrailerVehicle = async () => {
  const resData = await getTrailerVehicle({
    DICTIONARIES_ID: "0000aeffdabfccos952559772f5b3xe1",
  });
  return ref(resData.list);
};
export const layoutFnGetTaxesPeriod = async () => {
  const resData = await getTaxesPeriod({
    DICTIONARIES_ID: "0000aeffdabfccos952559772f5b3xe3",
  });
  return ref(resData.list);
};

export const layoutFnGetVehicleType = async () => {   // 获取车辆类型
  const resData = await getVehicleType({
    DICTIONARIES_ID: "08411f2b259a45681512dfad07c4f11a",
  });
  return ref(resData.list);
};


